package com.eitc.modules.activiti.service;

import com.eitc.common.service.BaseService;
import com.eitc.modules.activiti.dto.ProcessBizRouteDTO;
import com.eitc.modules.activiti.entity.ProcessBizRouteEntity;

/**
 * @Author:Jone
 */
public interface ProcessBizRouteService  extends BaseService<ProcessBizRouteEntity> {

    ProcessBizRouteDTO getProcDefBizRoute(String id);

    void save(ProcessBizRouteDTO processBizRouteDTO);

    void updateProcBizRoute(ProcessBizRouteDTO processBizRouteDTO);

    ProcessBizRouteDTO getLatestProcDefBizRoute(String procDefKey);
}
